Package com.google.gwt.dom.builder.shared

## Interface FormBuilder

- All Superinterfaces:
    `ElementBuilderBase<FormBuilder>`
  All Known Implementing Classes:
    `DomFormBuilder`, `HtmlFormBuilder`

      public interface FormBuilder
      extends ElementBuilderBase<FormBuilder>

  Builds an form element.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FormBuilder` | `acceptCharset​(java.lang.String acceptCharset)` | List of character sets supported by the server.
    `FormBuilder` | `action​(SafeUri action)` | Server-side form handler.
    `FormBuilder` | `action​(java.lang.String action)` | Server-side form handler.
    `FormBuilder` | `enctype​(java.lang.String enctype)` | The content type of the submitted form, generally "application/x-www-form-urlencoded".
    `FormBuilder` | `method​(java.lang.String method)` | HTTP method [IETF RFC 2616] used to submit form.
    `FormBuilder` | `name​(java.lang.String name)` | Names the form.
    `FormBuilder` | `target​(java.lang.String target)` | Frame to render the resource in.

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

- - ### Method Detail

    - #### acceptCharset

          FormBuilder acceptCharset​(java.lang.String acceptCharset)

      List of character sets supported by the server.
      See Also:
        W3C HTML Specification

    - #### action

          FormBuilder action​(SafeUri action)

      Server-side form handler.
      See Also:
        W3C HTML Specification

    - #### action

          FormBuilder action​(java.lang.String action)

      Server-side form handler.
      See Also:
        W3C HTML Specification

    - #### enctype

          FormBuilder enctype​(java.lang.String enctype)

      The content type of the submitted form, generally "application/x-www-form-urlencoded". Note: The onsubmit even handler is not guaranteed to be triggered when invoking this method. The behavior is inconsistent for historical reasons and authors should not rely on a particular one.
      See Also:
        W3C HTML Specification

    - #### method

          FormBuilder method​(java.lang.String method)

      HTTP method [IETF RFC 2616] used to submit form.
      See Also:
        W3C HTML Specification

    - #### name

          FormBuilder name​(java.lang.String name)

      Names the form.

    - #### target

          FormBuilder target​(java.lang.String target)

      Frame to render the resource in.
      See Also:
        W3C HTML Specification